       SUBROUTINE INIT_CORRECT_ME_FAST(A,HALF,SIZE)
C
C----------------------------------------------------------------------
C
C.IDENTIFICATION: Subroutine INIT_CORRECT_ME_FAST
C.LIBRARY:        MECSLIB
C.AUTHOR:         L.Chiappetti - IFCTR Milano
C.VERSIONS:       0.0 - 25 Aug 97 - original version
C.PURPOSE:        load (just) MECS linearization coefficients
C.METHOD:         read from calibration file
C.SYNTAX:         CALL  INIT_CORRECT_ME_FAST(A,HALF,SIZE)
C.PARAMETERS:     REAL  A    : the 10 linearization coeffs (out)
C                 REAL  HALF : centre mm coordinate wrt pixel origin (out)
C                 REAL SIZE  : "natural" pixel size in mm  (out)
C.RESTRICTIONS:
C.NOTES:          quicker version of INIT_CORRECT_ME
C.FILES:
C.REFERENCES
C
C----------------------------------------------------------------------
C
       DOUBLE PRECISION A(10)
       REAL HALF,SIZE
       LOGICAL VOSERROR,Z_SYSERROR
       INTEGER IERR,IVOS,ISYS,I,TRUE_LENGTH
       CHARACTER*80 BUFFER,NAME
       INCLUDE 'pixcommon.inc'
C
         I=TRUE_LENGTH(DETNAM)
         BUFFER=DETNAM(:I)//'_xy.coeff'
         CALL BUILDPATH(BUFFER,'CALIB',NAME)
         CALL Z_OPEN(3,NAME,'SEQ','OLD',0)
C-->     here and below ignore errors
         IF (VOSERROR(IVOS,ISYS))RETURN
         READ(3,*,IOSTAT=IERR)
         READ(3,*,IOSTAT=IERR)A(1)
         READ(3,*,IOSTAT=IERR)A(2)
         READ(3,*,IOSTAT=IERR)A(3)
         READ(3,*,IOSTAT=IERR)A(4)
         SIZE=0.5*(A(3)+A(4))
         HALF=128*SIZE
         READ(3,*,IOSTAT=IERR)A(5)
         READ(3,*,IOSTAT=IERR)A(6)
         READ(3,*,IOSTAT=IERR)A(7)
         READ(3,*,IOSTAT=IERR)A(8)
         READ(3,*,IOSTAT=IERR)A(9)
         READ(3,*,IOSTAT=IERR)A(10)
         IF(Z_SYSERROR(IERR,IVOS,ISYS))RETURN
         CLOSE(3)
       RETURN
       END
